Package: org.gradle.api.artifacts.component

## [Java] Interface ProjectComponentIdentifier

- org.gradle.api.artifacts.component.ProjectComponentIdentifier

- All Superinterfaces:
    ComponentIdentifier

  An identifier for a component instance that is built as part of the current build.

  Since:
    1.10

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getProjectPath()` Returns the path of the project which the component belongs to.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentIdentifier` | `getDisplayName`

- - ### Method Detail

    - #### public String getProjectPath()

      Returns the path of the project which the component belongs to.

      Since:
        1.10